#!/bin/bash
##################################################
#Uninstall the Java Pack for 5.2
#Prerequisites: Copy the script to the 
#build directory eg:  
##################################################
backupdir="backup"
backupjvmdir="_jvm_52GA"

if [ ! -d $backupdir/$backupjvmdir ]; then
	echo **$backupjvmdir directory not present. Cannot Rollback Fixpack
	exit 2 
fi


##################################################
#replace with backupup jvm
##################################################

echo Replacing with old jvm...
if [ -d $backupdir/_jvm ]; then 
	mv -f $backupdir/_jvm $backupdir/_jvm_old
fi

cp -rf $backupdir/$backupjvmdir $backupdir/_jvm
rm -rf _jvm/ 
mv -f $backupdir/_jvm .

if [ -d $backupdir/_jvm_old ]; then

	mv -f $backupdir/_jvm_old $backupdir/_jvm
fi

#change the permissions of the jvm files
chmod -R a+x _jvm

####################################################
# Check if the jvm has been replaced 
####################################################
echo The present jvm is 
#chnaged for AIX : added jre
_jvm/bin/java -fullversion
 
